             PGM        PARM(&PGM_LIB &SRC_LIB &TGT_RLS)

             DCL        VAR(&PGM_LIB) TYPE(*CHAR) LEN(10) /* Name of +
                          Program Library. */
             DCL        VAR(&SRC_LIB) TYPE(*CHAR) LEN(10) /* Name of +
                          library that contains the QSRCF file. */
             DCL        VAR(&TGT_RLS) TYPE(*CHAR) LEN(6) /* Target +
                          Release to compile to. */

             ADDLIBLE   LIB(&PGM_LIB) POSITION(*LAST)
             MONMSG     MSGID(CPF0000)

             ADDLIBLE   LIB(&SRC_LIB) POSITION(*LAST)
             MONMSG     MSGID(CPF0000)

             CHGOBJOWN  OBJ(&PGM_LIB/AA_CREATE) OBJTYPE(*PGM) +
                          NEWOWN(QPGMR)
             MONMSG     MSGID(CPF0000)

             CHGOBJOWN  OBJ(&SRC_LIB/QSRCF) OBJTYPE(*FILE) +
                          NEWOWN(QPGMR)
             MONMSG     MSGID(CPF0000)

             DLTMOD     MODULE(&PGM_LIB/XVERRH_M01)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/XVERRH_M02)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/XVERRH_M03)
             MONMSG     MSGID(CPF0000)

             DLTSRVPGM  SRVPGM(&PGM_LIB/XVERRH)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVERRH_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVERRH_M01) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTRPGMOD  MODULE(&PGM_LIB/XVERRH_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVERRH_M02) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTRPGMOD  MODULE(&PGM_LIB/XVERRH_M03) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVERRH_M03) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVERRH) +
                          MODULE(&PGM_LIB/XVERRH_M01 +
                          &PGM_LIB/XVERRH_M02 &PGM_LIB/XVERRH_M03) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVERRH_B) +
                          TEXT('Standard Error Handler.') +
                          ACTGRP(QILE) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVERRH) OBJTYPE(*SRVPGM) +
                          NEWOWN(QPGMR)

             DLTMOD     MODULE(&PGM_LIB/XVUSPC_M01)
             MONMSG     MSGID(CPF0000)

             DLTSRVPGM  SRVPGM(&PGM_LIB/XVUSPC)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVUSPC_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVUSPC_M01) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVUSPC) +
                          MODULE(&PGM_LIB/XVUSPC_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVUSPC_B) +
                          TEXT('User Space.') BNDSRVPGM(XVERRH) +
                          ACTGRP(QILE) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVUSPC) OBJTYPE(*SRVPGM) +
                          NEWOWN(QPGMR)

             DLTMOD     MODULE(&PGM_LIB/XVRSLV_M01)
             MONMSG     MSGID(CPF0000)

             DLTSRVPGM  SRVPGM(&PGM_LIB/XVRSLV)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVRSLV_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVRSLV_M01) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVRSLV) +
                          MODULE(&PGM_LIB/XVRSLV_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVRSLV_B) +
                          TEXT('Resolve To Object.') +
                          BNDSRVPGM(XVERRH) BNDDIR(QC2LE +
                          QUSAPIBD) ACTGRP(QILE) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVRSLV) OBJTYPE(*SRVPGM) +
                          NEWOWN(QPGMR)

             DLTMOD     MODULE(&PGM_LIB/XVDYNL_M01)
             MONMSG     MSGID(CPF0000)

             DLTSRVPGM  SRVPGM(&PGM_LIB/XVDYNL)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVDYNL_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVDYNL_M01) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVDYNL) +
                          MODULE(&PGM_LIB/XVDYNL_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVDYNL_B) +
                          TEXT('Dynamically Load Service +
                          Programs.') BNDSRVPGM(XVERRH XVRSLV) +
                          ACTGRP(QILE) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVDYNL) OBJTYPE(*SRVPGM) +
                          NEWOWN(QPGMR)

             DLTMOD     MODULE(&PGM_LIB/XVMSGF_M01)
             MONMSG     MSGID(CPF0000)

             DLTSRVPGM  SRVPGM(&PGM_LIB/XVMSGF)
             MONMSG     MSGID(CPF0000)

             CRTRPGMOD  MODULE(&PGM_LIB/XVMSGF_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) DBGVIEW(*LIST) +
                          OPTIMIZE(*BASIC) TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVMSGF_M01) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSRVPGM  SRVPGM(&PGM_LIB/XVMSGF) +
                          MODULE(&PGM_LIB/XVMSGF_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(XVMSGF_B) +
                          TEXT('Messaging Functions.') +
                          BNDSRVPGM(XVERRH) ACTGRP(QILE) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/XVMSGF) OBJTYPE(*SRVPGM) +
                          NEWOWN(QPGMR)

             DLTF       FILE(&PGM_LIB/TGCTRLD)
             MONMSG     MSGID(CPF0000)

             DLTF       FILE(&PGM_LIB/TGCTRLH)
             MONMSG     MSGID(CPF0000)

             CRTPF      FILE(&PGM_LIB/TGCTRLD) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(TGCTRLD) +
                          MBR(*FILE)
             CHGOBJOWN  OBJ(&PGM_LIB/TGCTRLD) OBJTYPE(*FILE) +
                          NEWOWN(QPGMR)

             CRTPF      FILE(&PGM_LIB/TGCTRLH) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(TGCTRLH) +
                          MBR(*NONE)
             CHGOBJOWN  OBJ(&PGM_LIB/TGCTRLH) OBJTYPE(*FILE) +
                          NEWOWN(QPGMR)

             DLTMOD     MODULE(&PGM_LIB/TG_MED_M01)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/TG_MED_M02)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/TG_MED_M03)
             MONMSG     MSGID(CPF0000)

             DLTPGM     PGM(&PGM_LIB/TG_MED)
             MONMSG     MSGID(CPF0000)

             CRTCMOD    MODULE(&PGM_LIB/TG_MED_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG_MED_M01) OUTPUT(*PRINT) +
                          OPTION(*EVENTF) DBGVIEW(*LIST) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/TG_MED_M01) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTRPGMOD  MODULE(&PGM_LIB/TG_MED_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG_MED_M02) OPTION(*EVENTF) +
                          DBGVIEW(*LIST) OPTIMIZE(*BASIC) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/TG_MED_M02) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSQLRPGI OBJ(&PGM_LIB/TG_MED_M03) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG_MED_M03) OBJTYPE(*MODULE) +
                          OPTION(*EVENTF) TGTRLS(&TGT_RLS) +
                          CLOSQLCSR(*ENDMOD) DBGVIEW(*SOURCE)
             CHGOBJOWN  OBJ(&PGM_LIB/TG_MED_M03) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTPGM     PGM(&PGM_LIB/TG_MED) MODULE(TG_MED_M01 +
                          TG_MED_M02 TG_MED_M03) TEXT('Trigger +
                          Mediator.') BNDSRVPGM(XVERRH XVDYNL +
                          XVUSPC) BNDDIR(*N QC2LE) ACTGRP(QILE) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/TG_MED) OBJTYPE(*PGM) +
                          NEWOWN(QPGMR)

             DLTF       FILE(&PGM_LIB/TG0001)
             MONMSG     MSGID(CPF0000)

             DLTMOD     MODULE(&PGM_LIB/TG0001_M01)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/TG0001_M02)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/TG0001_M03)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/TG0001_M04)
             MONMSG     MSGID(CPF0000)
             DLTMOD     MODULE(&PGM_LIB/TG0001_M05)
             MONMSG     MSGID(CPF0000)

             DLTPGM     PGM(&PGM_LIB/TG0001)
             MONMSG     MSGID(CPF0000)

             CRTDSPF    FILE(&PGM_LIB/TG0001_D01) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG0001_D01) OPTION(*EVENTF) +
                          RSTDSP(*YES) DFRWRT(*YES) SHARE(*YES)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001_D01) OBJTYPE(*FILE) +
                          NEWOWN(QPGMR)

             CRTRPGMOD  MODULE(&PGM_LIB/TG0001_M01) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG0001_M01) OPTION(*EVENTF) +
                          DBGVIEW(*LIST) OPTIMIZE(*BASIC) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001_M01) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTRPGMOD  MODULE(&PGM_LIB/TG0001_M02) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG0001_M02) OPTION(*EVENTF) +
                          DBGVIEW(*LIST) OPTIMIZE(*BASIC) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001_M02) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSQLRPGI OBJ(&PGM_LIB/TG0001_M03) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG0001_M03) COMMIT(*NONE) +
                          OBJTYPE(*MODULE) OUTPUT(*PRINT) +
                          OPTION(*EVENTF) TGTRLS(&TGT_RLS) +
                          CLOSQLCSR(*ENDMOD) DBGVIEW(*SOURCE)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001_M03) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSQLRPGI OBJ(&PGM_LIB/TG0001_M04) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG0001_M04) COMMIT(*NONE) +
                          OBJTYPE(*MODULE) OUTPUT(*PRINT) +
                          OPTION(*EVENTF) TGTRLS(&TGT_RLS) +
                          CLOSQLCSR(*ENDMOD) DBGVIEW(*SOURCE)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001_M04) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTSQLRPGI OBJ(&PGM_LIB/TG0001_M05) +
                          SRCFILE(&SRC_LIB/QSRCF) +
                          SRCMBR(TG0001_M05) COMMIT(*NONE) +
                          OBJTYPE(*MODULE) OUTPUT(*PRINT) +
                          OPTION(*EVENTF) TGTRLS(&TGT_RLS) +
                          CLOSQLCSR(*ENDMOD) DBGVIEW(*SOURCE)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001_M05) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTRPGMOD  MODULE(&PGM_LIB/TG0001) +
                          SRCFILE(&SRC_LIB/QSRCF) SRCMBR(TG0001) +
                          DBGVIEW(*LIST) OPTIMIZE(*BASIC) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001) OBJTYPE(*MODULE) +
                          NEWOWN(QPGMR)

             CRTPGM     PGM(&PGM_LIB/TG0001) MODULE(*LIBL/TG0001 +
                          TG0001_M01 TG0001_M02 TG0001_M03 +
                          TG0001_M04 TG0001_M05) +
                          ENTMOD(&PGM_LIB/TG0001) BNDSRVPGM(XVERRH +
                          XVUSPC XVMSGF) ACTGRP(QILE) +
                          TGTRLS(&TGT_RLS)
             CHGOBJOWN  OBJ(&PGM_LIB/TG0001) OBJTYPE(*PGM) +
                          NEWOWN(QPGMR)

             ENDPGM
