      *_> CNLLSTSPLF SRCFILE(@2/@1) SRCMBR(@3)
      *_> DLTMOD MODULE(@5/@4)
      *_> CRTSQLRPGI OBJ(@5/@4) +
      *_>   SRCFILE(@2/@1) SRCMBR(@3) +
      *_>   OBJTYPE(*MODULE) COMMIT(*NONE) OPTION(*EVENTF) +
      *_>   DBGVIEW(*SOURCE) CLOSQLCSR(*ENDMOD) +
      *_>   TOSRCFILE(@2/QSQLTEMP1)
      * ---------------------------------------------------------------
      * Module.....: TS0001_M01       Project.....:
      * Author.....: A. Campin        Date written: 06/13/2008
      * Purpose....: Trigger Service Program Templete. This module
      *              implements a trigger handling service program
      *              and will be called by TG_MED dynamically. The
      *              name of the program and the name of the procedure
      *              to call is contained in a record in TGCTRLD.
      * ---------------------------------------------------------------
      * Called by..: TG_MED
      * ---------------------------------------------------------------
      * Revision history:
      *  Project # Pgmr        Date   Desc
      *
      * End Revision History
      * ---------------------------------------------------------------
     h nomain

      /copy *libl/qsrcf,cb_stdtype
      /copy *libl/qsrcf,cb_std_con
      /copy *libl/qsrcf,xverrh_pr

     d TriggerService...
     d                 pr
     d    PR_InPointerToTriggerBuffer...
     d                                     Like(StdPtr)

     p TriggerService...
     p                 b                   Export
     d                 pi
     d   InPointerToTriggerBuffer...
     d                                     Like(StdPtr)

      /copy *libl/qsrcf,CB_DBTRG_S

     ******************************************************
     * Important: Always set this value to the name of the
     *             file that this trigger service program
     *             is providing service for.
     d cFileName...
     d                 c                   Const('Your_File')

     d DbBefore...
     d               e ds                  ExtName(Your_File)
     d                                     Prefix(XB:2)
     d                                     Based(ptrDbBefore)
     d DbAfter...
     d               e ds                  ExtName(Your_File)
     d                                     Prefix(XA:2)
     d                                     Based(ptrDbAfter)

     d MsgUTG0004...
     d                 ds                  Qualified
     d   TriggerProgramName...
     d                                     Like(StdNam)
     d   TriggerProgramLibrary...
     d                                     Like(StdNam)
     d   ShouldBeName...
     d                                     Like(StdNam)
     d   IsName...
     d                                     Like(StdNam)

     d MsgUTG0005...
     d                 ds                  Qualified
     d   TriggerProgramName...
     d                                     Like(StdNam)
     d   TriggerProgramLibrary...
     d                                     Like(StdNam)
     d   FileName...
     d                                     Like(StdNam)
     d   ActualSizeOfRecord...
     d                                5p 0
     d   ShouldBeSizeOfRecord...
     d                                5p 0
      /Free

       // Map the incoming buffer to buffer fields.
       ptrDbTriggerBuffer = InPointerToTriggerBuffer;

       // If wrong service program called, throw an error.
       If DbTriggerBuffer.PhysicalFileName <> cFileName;
         MsgUTG0004.ShouldBeName = cFileName;
         MsgUTG0004.IsName       = DbTriggerBuffer.PhysicalFileName;
         ERRH_Throw('UTG0004'         :
                    cXVMessageFileName:
                    MsgUTG0004        );
       EndIf;

       // If record sizes do not match, throw an error.
       If %Size(DbBefore) <> DbTriggerBuffer.BeforeLength;
         MsgUTG0005.FileName = DbTriggerBuffer.PhysicalFileName;
         MsgUTG0005.ActualSizeOfRecord   = DbTriggerBuffer.BeforeLength;
         MsgUTG0005.ShouldBeSizeOfRecord = %Size(DbBefore);
         ERRH_Throw('UTG0005'         :
                    cXVMessageFileName:
                    MsgUTG0005        );
       EndIf;

       // Map the actual data to the before and after images.
       ptrDbBefore = InPointerToTriggerBuffer + DbTriggerBuffer.BeforeOffset;
       ptrDbAfter  = InPointerToTriggerBuffer + DbTriggerBuffer.AfterOffset;

       // Add your own code here to process the trigger. Recusion is supported.

       Return;

      /End-Free
     p                 e
